## libsx 2.05

=== Makefile ===
#
# Top level makefile for libsx and all the example code.
#
# Basically we just cd into each of the directories and build
# the stuff that's there.
#
# I know I've committed a major sin by not using imake to generate
# the makefiles, but I've never quite understood that beast and it seems
# overly complicated to me (but then again I never put tons of effort
# into understanding it).  If someone would like to explain it to me,
# I'd like that (or point to some simple to read documentation).
#
# Dominic Giamapolo
# dbg@sgi.com
# 

SHELL=/bin/sh
DIRS = src demo0 demo1 demo2 demo3 demo4 bezier frac \
       freq creq multireq skel xmore xrootbg draw_demo controlbox

all : $(DIRS)

src::
	(cd src ; $(MAKE) )

demo0::
	(cd demo0 ; $(MAKE) )

demo1::
	(cd demo1 ; $(MAKE) )

demo2::
	(cd demo2 ; $(MAKE) )

demo3::
	(cd demo3 ; $(MAKE) )

demo4::
	(cd demo4 ; $(MAKE) )

bezier::
	(cd bezier ; $(MAKE) )

frac::
	(cd frac ; $(MAKE) )

freq::
	(cd freq ; $(MAKE) )

creq::
	(cd creq ; $(MAKE) )

multireq::
	(cd multireq ; $(MAKE) )

skel::
	(cd skel ; $(MAKE) )

xmore::
	(cd xmore ; $(MAKE) )

xrootbg::
	(cd xrootbg ; $(MAKE) )

draw_demo::
	(cd draw_demo ; $(MAKE) )


clean :
	rm -f core *~
	for dir in $(DIRS);  do               \
	   cd $$dir ; make clean ; cd ..;     \
	done;

=== src/Makefile ===
#
# Makefile for the libsx library
#

#
#  If you have trouble building, edit the file ../libsx_defs and
# change stuff there.  That file gets included everywhere else, so
# you only need to change things there once.
#
include ../libsx_defs

LIBDIR=/usr/X11R6/lib
INCLUDEDIR=/usr/X11R6/include/X11/SX
SHAREDIR=/usr/share/libsx

CC=gcc

#
# You shouldn't need to modify anything below here.
#
#

LIBSXOBJS  = draw.o toggle.o button.o string_entry.o libsx.o misc.o list.o\
             font.o scrollbar.o menu.o popups.o colormap.o drawing.o\
	     dialog.o dirlist.o freq.o grabpix.o colorsel.o version.o


OBJS       = main.o callbacks.o



all : libsx.a libsx.so

libsx.a : $(LIBSXOBJS)
	rm -f libsx.a
	ar rc libsx.a $(LIBSXOBJS)
	$(RANLIB) libsx.a

libsx.so : $(LIBSXOBJS)
	rm -f libsx.so
	$(CC) -shared -Wl,-soname,libsx.so draw.o toggle.o \
	button.o string_entry.o libsx.o misc.o list.o font.o scrollbar.o \
	menu.o popups.o colormap.o drawing.o dialog.o dirlist.o freq.o \
	grabpix.o colorsel.o version.o -o libsx.so

draw.o : draw.c libsx.h libsx_private.h

toggle.o : toggle.c libsx.h libsx_private.h

button.o : button.c libsx.h libsx_private.h

string_entry.o : string_entry.c libsx.h libsx_private.h

libsx.o : libsx.c libsx.h libsx_private.h

misc.o : misc.c libsx.h libsx_private.h

list.o : list.c libsx.h libsx_private.h

scrollbar.o : scrollbar.c libsx.h libsx_private.h

menu.o : menu.c libsx.h libsx_private.h check_mark.h

popups.o : popups.c libsx.h libsx_private.h dialog.h

colormap.o : colormap.c libsx.h libsx_private.h

font.o : font.c libsx.h libsx_private.h

dialog.o : dialog.c dialog.h

dirlist.o : dirlist.c

freq.o : freq.c

grabpix.o : grabpix.c

colorsel.o : colorsel.c

version.o : version.c



#
# Demo program objects.
#
main.o : main.c main.h libsx.h callbacks.h

callbacks.o : libsx.h callbacks.c

install:
	mkdirhier $(LIBDIR)
	cp -f libsx.a libsx.so $(LIBDIR)
	mkdirhier $(INCLUDEDIR)
	cp -f libsx.h $(INCLUDEDIR)
	mkdirhier $(SHAREDIR)
	cp -f dialogs/dialogs* $(SHAREDIR)

clean:
	rm -f *.o *~ dialogs/*~ core libsx.a libsx.so

=== xmore/Makefile ===
#
#  If you have trouble building, edit the file ../libsx_defs and
# change stuff there.  That file gets included everywhere else, so
# you only need to change things there once.
#
include ../libsx_defs

xmore : xmore.o
	$(CC) -O -o xmore xmore.o $(LIBS)


clean:
	rm -f *.o *~ core xmore

=== src/dialogs/Makefile ===
#
# Makefile for the libsx dialogs
#

SHAREDIR=/usr/share/libsx

install:
	mkdirhier $(SHAREDIR)
	cp -f dialogs* $(SHAREDIR)

clean:
	rm -f *~

=== debian/changelog ===
libsx (2.05-7) unstable; urgency=medium

  * Fix install that was not shipping libsx.h, libsx.pc properly.
  * Now at Standards-Version: 3.9.6 
  * Ensure CPPFLAGS, CFLAGS are imported correctly for hardening.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Jul 2015 13:59:02 +0100

libsx (2.05-6) unstable; urgency=medium

  * Apply patch from Alexander to fix clang compilation. Closes: #758760. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Sep 2014 14:43:37 +0100

libsx (2.05-5) unstable; urgency=medium

  * Add watch file.
  * Now at Standards-Version: 3.9.5
  * Add symbols file for libsx0.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Jun 2014 16:00:20 +0100

libsx (2.05-4) unstable; urgency=low

  * Standards-Version now 3.9.4
  * debhelper 9 for multi-arch.
  * Make multi-arch.
  * Add $(CFLAGS), $(CPPFLAGS) $(LDFLAGS) to makefiles for fortify.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 May 2013 10:08:36 +0100

libsx (2.05-3) unstable; urgency=low

  * Standards-Version: 3.9.2. No changes required.
  * MAXPATHLEN needs to be defined in multiple source files. fixed patch.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Jul 2011 12:21:43 +0100

libsx (2.05-2) unstable; urgency=low

  * Move to Source-format 3.0 ; removed dependency on quilt
  * Standards-Version: 3.8.4. No changes required.
  * Add DEP-3 comments documenting patches.
  * Change RGBTXT path in libsx-rgb patch to point to file location on Debian.
  * Add MAXPATHLEN in dirlist.c if undefined; needed to build on Hurd.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 May 2010 20:40:59 +0100

libsx (2.05-1) unstable; urgency=low

  * Initial release. (Closes: #546183)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Sep 2009 17:32:42 +0100

=== debian/control ===
Source: libsx
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), pkg-config, libxpm-dev, libxt-dev, libxaw7-dev, libx11-dev
Standards-Version: 3.9.6
Homepage: ftp://ftp.ac-grenoble.fr/ge/Xlibraries/

Package: libsx0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple X library
 Libsx (the Simple X library) is a library of code that sits on top of and
 to the side of the Athena widget set.  Its purpose is to make writing X
 applications *much* easier.

Package: libsx-dev
Section: libdevel
Architecture: any
Depends: libsx0 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
Recommends: pkg-config, libxaw7-dev, libxpm-dev, libxt-dev, libx11-dev
Description: Development files (headers and static libraries) for libsx
 Libsx (the Simple X library) is a library of code that sits on top of and
 to the side of the Athena widget set.  Its purpose is to make writing X
 applications *much* easier.
 .
 This package contains header files, pkgconfig files and static libraries
 for libsx.

=== debian/rules ===
#!/usr/bin/make -f

# The magic debhelper rule:
%:
	dh $@

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libsx-dev.install

CFLAGS := `dpkg-buildflags --get CFLAGS`
CFLAGS += `dpkg-buildflags --get CPPFLAGS`

override_dh_installexamples:
	$(MAKE) clean
	dh_installexamples -Xlibsx.h

override_dh_install:
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@ARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	mkdir -p debian/libsx0/$(LIBDIR)
	mv src/libsx.so debian/libsx0/$(LIBDIR)/libsx.so.0.0.0
	dh_link -p libsx0 $(LIBDIR)/libsx.so.0.0.0  $(LIBDIR)/libsx.so.0
	dh_link -p libsx-dev $(LIBDIR)/libsx.so.0.0.0 $(LIBDIR)/libsx.so
	dh_install 
	dh_auto_install

## libsx 2.08

=== debian/changelog ===
libsx (2.08-7) unstable; urgency=medium

  * Typo: depend on libxaw3dxft8-dev. Closes: #1115628
  * Use pre-computed DEB_HOST_MULTIARCH
  * Patch from Vagrant Cascadian for reproducible builds. Closes: #1021860
  * d/gbp.conf: Now use Pristine-tar
  * d/copyright: Move to DEP-5 and verify against licenserecon
  * utf8.patch: Use UTF-8 not national encoding
  * -dev: Drop unused shlibs:Depends

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Dec 2025 15:37:59 +0000

libsx (2.08-6) unstable; urgency=medium

  * std23.patch: Fix FTBFS with GCC-15. Closes: #1097276
  * Standards-Version: 4.7.2; no changes required
  * Now use pkgconf not pkg-config
  * Drop compression from source/options

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Sep 2025 11:03:55 +0100

libsx (2.08-5) unstable; urgency=medium

  * Move to DEP-14 branches, point vcs-git to debian/latest branch
  * Now at debhelper-compat (=13)
  * Include dialogs.* files for internationalization
  * Standards-Version: 4.6.0; no changes required
  * Add d/gpb.conf to point to DEP-14 branches
  * Update homepage in d/control. Drop d/watch as orignal ftp site
    long-gone.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Sep 2021 14:28:25 +0100

libsx (2.08-4) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * Move to debhelper-compat (=12)

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 20 Jul 2019 14:24:04 +0100

libsx (2.08-3) unstable; urgency=medium

  * Set VCS to point to salsa.debian.org
  * Set Standards-Version: 4.1.3
  * Change recommends: on -dev pkg to libxw3dxft8-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Mar 2018 11:48:29 +0000

libsx (2.08-2) unstable; urgency=medium

  * Set SHELL=/bin/sh to provide reproducibility.
  * Standards-Version: 4.1.1 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Oct 2017 20:59:03 +0100

libsx (2.08-1) unstable; urgency=medium

  * New upstream release
     - Now uses libxaw3dxft8-dev instead of libxaw7-dev, for UTF8, Freetype
  * Standards-Version: 4.0.0; no changes required
  * Build-Conflict on a pre-installed libsx-dev
  * DH_COMPAT=10

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Jul 2017 10:04:09 +0100

libsx (2.05-8) unstable; urgency=medium

  * Standards-Version: 3.9.8. No changes required
  * Update homepage.
  * Rebuild adds triggers via dh_makeshlibs.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Jun 2016 18:18:20 +0100

=== debian/control ===
Source: libsx
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 pkgconf,
 libxpm-dev,
 libxt-dev, 
 libxaw3dxft8-dev,
 libx11-dev
Build-Conflicts: libsx-dev
Standards-Version: 4.7.2
Homepage: https://web.physics.wustl.edu/marty/libsx/libsx.html
Vcs-Browser: https://salsa.debian.org/science-team/libsx.git
Vcs-Git: https://salsa.debian.org/science-team/libsx.git -b debian/latest

Package: libsx0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Simple X library
 Libsx (the Simple X library) is a library of code that sits on top of and
 to the side of the Athena widget set.  Its purpose is to make writing X
 applications *much* easier.

Package: libsx-dev
Section: libdevel
Architecture: any
Depends: libsx0 ( = ${binary:Version} ), ${misc:Depends}
Recommends: pkgconf, libxaw3dxft8-dev, libxpm-dev, libxt-dev, libx11-dev
Description: Development files (headers and static libraries) for libsx
 Libsx (the Simple X library) is a library of code that sits on top of and
 to the side of the Athena widget set.  Its purpose is to make writing X
 applications *much* easier.
 .
 This package contains header files, pkgconfig files and static libraries
 for libsx.

=== debian/rules ===
#!/usr/bin/make -f



# TO set SHELL in Makefiles that are shipped; needed for reproducibility
export CONFIG_SHELL=/bin/sh

# The magic debhelper rule:
%:
	dh $@ --no-parallel

include /usr/share/dpkg/architecture.mk
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

CFLAGS := `dpkg-buildflags --get CFLAGS`
CFLAGS += `dpkg-buildflags --get CPPFLAGS`

override_dh_installexamples:
	$(MAKE) clean
	dh_installexamples -Xlibsx.h
	# Remove example Makefile for reproducible builds
	rm -vf debian/libsx-dev/usr/share/doc/libsx-dev/examples/freq/Makefile

override_dh_auto_test:
	@echo Disabled to avoid building examples
